<div class="main--body">
<ng-template #login>
<div class="login--card" >
<h1>Login</h1>
<div class="form-container">
    <form class="login-form" [formGroup]="loginForm" class="">
    <mat-form-field>
        <mat-label>Email</mat-label>
        <input formControlName="email" matInput type="email" required/>
        <mat-error 
        *ngIf="loginForm.get('email')?.errors && loginForm.get('email')?.hasError('required')"
        >Email must not be empty</mat-error>
        <mat-error 
        *ngIf="loginForm.get('email')?.errors && loginForm.get('email')?.hasError('email')"
        >Please enter a valid email</mat-error>
    </mat-form-field>
    <mat-form-field>
        <mat-label>Password</mat-label>
        <!-- <input formControlName="password" matInput type="password" /> -->
        <input matInput [type]="hide ? 'password' : 'text'" formControlName="password" required>
        <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        <mat-error 
        *ngIf="loginForm.get('password')?.errors && loginForm.get('password')?.hasError('required')"
        >Password must not be empty</mat-error>
    </mat-form-field>

    <div class="form--btn">
        <button mat-flat-button color="primary" (click)="handleSubmit()">Submit</button>
    </div>
    <mat-error *ngIf="showErr">{{Errmsg}}</mat-error>
    
    </form>
    <a class="link" [routerLink]="['/sign-up']">Don't have an account? Sign up</a>
</div>
</div>
</ng-template>
<div  class="login--card" *ngIf="mailNotVerified; else login">
    <div class="form-container">
       <h1>Your mail is not verified</h1> 
    </div>
    <div class="form--btn">
    <button mat-flat-button color="primary" [routerLink]="['/account/OTPverfiy']" (click)="verfiyMail()">
        Verify mail
    </button>
    </div>
</div>
</div>